Panda3D

Loading...
Searching...
No Matches
Classes | Functions
graphicsStateGuardian.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "frameBufferProperties.h"`
`#include "preparedGraphicsObjects.h"`
`#include "lens.h"`
`#include "graphicsStateGuardianBase.h"`
`#include "graphicsThreadingModel.h"`
`#include "graphicsPipe.h"`
`#include "sceneSetup.h"`
`#include "displayRegion.h"`
`#include "luse.h"`
`#include "coordinateSystem.h"`
`#include "factory.h"`
`#include "pStatCollector.h"`
`#include "transformState.h"`
`#include "renderState.h"`
`#include "light.h"`
`#include "planeNode.h"`
`#include "config_display.h"`
`#include "geomMunger.h"`
`#include "geomVertexData.h"`
`#include "pnotify.h"`
`#include "pvector.h"`
`#include "shaderContext.h"`
`#include "bitMask.h"`
`#include "texture.h"`
`#include "occlusionQueryContext.h"`
`#include "timerQueryContext.h"`
`#include "loader.h"`
`#include "shaderAttrib.h"`
`#include "texGenAttrib.h"`
`#include "textureAttrib.h"`
`#include "shaderGenerator.h"`
`#include "graphicsStateGuardian.I"`

Go to the source code of this file.

## Classes
class | GraphicsStateGuardian
| Encapsulates all the communication with a particular instance of a given rendering backend. More...

## Functions
EXPCL_PANDA_DISPLAY std::ostream & | operator<< (std::ostream &out, GraphicsStateGuardian::ShaderModel sm)

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  drose

Date
  1999-02-02

Author
  fperazzi, PandaSE

Date
  2010-05-05 _max_2d_texture_array_layers on z axis, get_supports_cg_profile)

Definition in file graphicsStateGuardian.h.

## Function Documentation

## ◆ operator<<()

EXPCL_PANDA_DISPLAY std::ostream & operator<< | ( | std::ostream & | out,
|  | GraphicsStateGuardian::ShaderModel | sm )

Definition at line 3766 of file graphicsStateGuardian.cxx.